%define anolis_release 1

Name:           libaec
Version:        1.0.6
Release:        %{anolis_release}%{?dist}
Summary:        Adaptive Entropy Coding library
License:        BSD
Url:            https://gitlab.dkrz.de/k202009/libaec
Source0:        https://gitlab.dkrz.de/k202009/libaec/-/archive/v%{version}/libaec-v%{version}.tar.gz

BuildRequires:  gcc
BuildRequires:  cmake >= 3.1

%description
Libaec provides fast loss-less compression of 1 up to 32 bit wide
signed or unsigned integers (samples). The library achieves best
results for low entropy data as often encountered in space imaging
instrument data or numerical model output from weather or climate
simulations. While floating point representations are not directly
supported, they can also be efficiently coded by grouping exponents
and mantissa.

Libaec implements Golomb Rice coding as defined in the Space Data
System Standard documents 121.0-B-2 and 120.0-G-2.

Libaec includes a free drop-in replacement for the SZIP
library (http://www.hdfgroup.org/doc_resource/SZIP).

%package devel
Summary:        Devel package for libaec (Adaptive Entropy Coding library)
Requires:       %{name} = %{version}-%{release}

%description devel
Devel files for libaec (Adaptive Entropy Coding library).

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%setup -q -n %{name}-v%{version}

%build
%{cmake} -DBUILD_TESTING=ON
%cmake_build

%install
%cmake_install
rm %{buildroot}/%{_libdir}/lib*.a
mv %{buildroot}/%{_prefix}/cmake %{buildroot}/%{_libdir}

%generate_compatibility_deps

%check
%ctest

%files
%license LICENSE.txt doc/patent.txt
%{_bindir}/aec
%{_libdir}/lib*.so.*
%{_mandir}/man1/aec.*
%dir %{abidir}
%{abidir}/*.dump
%{abidir}/aec-option.list

%files devel
%{_includedir}/*.h
%{_libdir}/lib*.so
%{_libdir}/cmake/%{name}-*.cmake

%files doc
%doc README.md README.SZIP CHANGELOG.md

%changelog
* Wed Jun 14 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.0.6-1
- init from upstream
